Update a Teams endpoint
PUT
/v1/teams-endpoints/{id}
const url = 'https://your-notavia-host/v1/teams-endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"label":"example","webhook_url":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://your-notavia-host/v1/teams-endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "label": "example", "webhook_url": "https://example.com" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body required
Section titled “Request Body required ” Media type application/json
object
label
string
webhook_url
string format: uri
Example generated
{ "label": "example", "webhook_url": "https://example.com"}Responses
Section titled “ Responses ”Updated endpoint.
Media type application/json
Microsoft Teams webhook endpoint configuration.
object
id
string format: uuid
label
string
webhook_url_prefix
First 30 characters of the webhook URL for recognition only — full URL never returned.
string
flavour
Detected webhook flavour: WorkflowsLogicApps, WorkflowsOffice, or LegacyConnector.
string
last_success_at
string format: date-time
last_failure_at
string format: date-time
last_failure_reason
string
created_at
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "label": "example", "webhook_url_prefix": "example", "flavour": "example", "last_success_at": "2026-04-15T12:00:00Z", "last_failure_at": "2026-04-15T12:00:00Z", "last_failure_reason": "example", "created_at": "2026-04-15T12:00:00Z"}Validation or request error.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}